import { MetricServiceClient } from '@google-cloud/monitoring'

const client = new MetricServiceClient()

const projectId = 'holi-shared'
const metricTypePrefix = 'custom.googleapis.com/performance/graphql'

async function deleteMetricDescriptor(name) {
  const request = {
    name: client.projectMetricDescriptorPath(projectId, `${metricTypePrefix}/${name}`),
  }

  // Deletes a metric descriptor
  const [result] = await client.deleteMetricDescriptor(request)
  console.log(`Deleted ${`${metricTypePrefix}/${name}`}`, result)
}

deleteMetricDescriptor('XYZ')
