import {
  spaceUpdatePostFragment,
  postDetailsFragment,
  postCommentDetailFragment,
  postFragment,
  postCommentFragment,
} from './queries.js'

export const createSpacePostMutation = `
  ${spaceUpdatePostFragment}

  mutation createSpacePost($input: CreatePostInput!) {
    createSpacePost2(input: $input) {
      ...SpaceUpdatePostFragment
      space {
        posts(offset: 0, limit: 10, visibility: ALL) {
          data {
            ...SpaceUpdatePostFragment
          }
        }
      }
    }
  }
`

export const updateSpacePostMutation = `
  ${spaceUpdatePostFragment}

  mutation updateSpacePost($input: UpdatePostInput!) {
    updateSpacePost(input: $input) {
      ...SpaceUpdatePostFragment
    }
  }
`

export const deleteSpacePostMutation = `
  mutation deleteSpacePost($id: UUID!) {
    deleteSpacePost(id: $id) {
      id
    }
  }
`

export const createPostCommentMutation = `
  ${postDetailsFragment}
  ${postCommentDetailFragment}

  mutation CreatePostComment($input: CreatePostCommentInput!) {
    updatePostComment(input: $input) {
      postComment {
        ...PostCommentDetail
      }
      postById {
        ...PostFull
      }
    }
  }
`

export const updatePostReactionMutation = `
  ${postFragment}

  mutation UpdatePostReaction($id: UUID!, $reactionType: ReactionType!, $reactionAction: ReactionAction!) {
    updatePostReaction(id: $id, reactionType: $reactionType, reactionAction: $reactionAction) {
      ...PostFragment
    }
  }
`

export const updatePostCommentReactionMutation = `
  ${postCommentFragment}

  mutation UpdatePostCommentReaction($id: UUID!, $reactionType: ReactionType!, $reactionAction: ReactionAction!) {
    updatePostCommentReaction(id: $id, reactionType: $reactionType, reactionAction: $reactionAction) {
      ...PostCommentFull
    }
  }
`

export const deletePostCommentMutation = `
  mutation DeletePostComment($id: UUID!) {
    deletePostComment(id: $id) {
      success
    }
  }
`
